cURL
curl --request GET \
--url https://igboapi.com/api/v2/words/{id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://igboapi.com/api/v2/words/{id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://igboapi.com/api/v2/words/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"word": "<string>",
"wordClass": "<string>",
"pronunciation": "<string>",
"definitions": [
"<string>"
],
"attributes": {
"isStandardIgbo": true,
"isAccented": true,
"isSlang": true,
"isConstructedTerm": true,
"isBorrowedTerm": true,
"isStem": true,
"isCommon": true
},
"nsibidi": "<string>",
"relatedTerms": "<string>",
"dialects": [
{
"word": "<string>",
"dialects": [
"<string>"
],
"pronunciation": "<string>",
"variations": [
"<string>"
]
}
],
"variations": [
"<string>"
],
"examples": [
{
"id": "<string>",
"igbo": "<string>",
"english": "<string>",
"pronunciation": "<string>",
"meaning": "<string>",
"style": {},
"associatedWords": [
"<string>"
],
"nsibidi": "<string>"
}
]
}{
"error": 123,
"message": "<string>"
}Words
Get a Word
Returns one requested word from the database
GET
/
words
/
{id}
cURL
Authorizations
Query Parameters
Includes dialect information in each document
Includes examples associated with each document
Comma-separated string of word classes that filters words that match the word class (a.k.a. part of speech)
Response
Words response
Id of word
The headword
The part of speech
Audio URI of word recording
The English definitions
The word attributes
Show child attributes
Show child attributes
Nsịbịdị representation of the text
Ids of related word documents
Dialectal variations of the word
Show child attributes
Show child attributes
Spelling variations of the headword
Associated example Igbo sentences
Show child attributes
Show child attributes
⌘I